Subject: Re: FVWM: FvwmScript: Messages

From: Olivier Chapuis <[email-masked]>
Date: Fri, 19 Oct 2001 08:17:09 +0200

On Tue, Aug 28, 2001 at 10:10:37AM +0200, Andre Bonhote wrote:
> Hi Guys!
> 
> I am currently writing a small neat FvwmScript which offers a dialog to
> open an URL. It works fine til now, but I want MORE! *g*
> 
> It has three widgeds: A TextField and two PushButtons (OpenURL and
> Cancel). Now, as I prefer using my Keyboard, I would like to open my URL
> without pressing the OpenURL button, but by hitting the Enter key.
> 
> In the manpage, I found 'SendSignal' which I would like to use to simply
> send 'SingleClic' to my PushButton. But HOW do I get the Enter key
> signal? Unfortunately, there's no description of the signals at all in
> the Manpage.
> 
> Thank you for a hint.
>

Hello,

With the current fvwm devel version FvwmScript is fully keyboard
controlable: you can go around the widget with (Shift)-Tab and
return simulate a mouse click (see the NoFocus flag too).
Moreover, you can also define some key bindings.
For example if you have:

# in the init function:
Key U C 33 1

Widget 33
Main
 Type PushButton
 Title {OpenUrl}
 ...
End
Case message of
 SingleClic :
 Begin
  SendSignal 33 1
 End
 1 :
 Begin
   # bloc of instruction to open the Url
 End
End

Then Ctl-U will open your url.

Olivier
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].